Package org.postgresql.core

# Class Notification

java.lang.Object
org.postgresql.core.Notification

All Implemented Interfaces:
  `PGNotification`

public class Notification extends Object implements PGNotification

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Notification(String name, int pid)`
  `Notification(String name, int pid, String parameter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns name of this notification.
  `String`
  `getParameter()`
  Returns additional information from the notifying process.
  `int`
  `getPID()`
  Returns the process id of the backend process making this notification.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Notification

    public Notification(String name, int pid)

  - ### Notification

    public Notification(String name, int pid, String parameter)

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `PGNotification`
    Returns name of this notification.
    Specified by:
      `getName` in interface `PGNotification`
    Returns:
      name of this notification

  - ### getPID

    public int getPID()
    Description copied from interface: `PGNotification`
    Returns the process id of the backend process making this notification.
    Specified by:
      `getPID` in interface `PGNotification`
    Returns:
      process id of the backend process making this notification

  - ### getParameter

    public String getParameter()
    Description copied from interface: `PGNotification`
    Returns additional information from the notifying process. This feature has only been implemented in server versions 9.0 and later, so previous versions will always return an empty String.
    Specified by:
      `getParameter` in interface `PGNotification`
    Returns:
      additional information from the notifying process